## ros-kinetic-vs060-moveit-config 2.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(vs060_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-vs060-moveit-config (2.0.3-0xenial) xenial; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 23 Apr 2018 15:00:00 -0000

ros-kinetic-vs060-moveit-config (2.0.2-0xenial) xenial; urgency=high

  * Fix kinetic-devel (denso_ros_control) for simulation usage (#88 <https://github.com/start-jsk/denso/issues/88>)
    * remove redundant code from demo_simulation_cage.launch
    * change arg name from mode to dryrun
    * run controller with position_control.launch, not launch in denso_launch
    * Deprecation warning: Trajectory execution service is deprecated (was replaced by an action).Replace 'MoveGroupExecuteService' with 'MoveGroupExecuteTrajectoryAction' in move_group.launch
    
      * update moveit configuration for new denso_ros_controller package
    
  * [kinetic-devel] Update maintainer ( #85 <https://github.com/start-jsk/denso/issues/85> )
  * Contributors: Isaac I.Y. Saito, Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 31 Oct 2017 15:00:00 -0000

ros-kinetic-vs060-moveit-config (2.0.1-0xenial) xenial; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 08 Aug 2017 15:00:00 -0000

ros-kinetic-vs060-moveit-config (2.0.0-0xenial) xenial; urgency=high

  * use moveit_simple_controller_manager
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 08 Aug 2017 15:00:00 -0000

ros-kinetic-vs060-moveit-config (1.1.8-0xenial) xenial; urgency=high

  * add group state initial_pose / neutral_pose (#84 <https://github.com/start-jsk/denso/pull/84>)
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 02 Mar 2017 15:00:00 -0000

ros-kinetic-vs060-moveit-config (1.1.7-0xenial) xenial; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 22 Aug 2016 15:00:00 -0000

ros-kinetic-vs060-moveit-config (1.1.6-0xenial) xenial; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Jun 2016 15:00:00 -0000

ros-kinetic-vs060-moveit-config (1.1.5-0xenial) xenial; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 04 Apr 2016 15:00:00 -0000

ros-kinetic-vs060-moveit-config (1.1.4-0xenial) xenial; urgency=high

  * fix xtion settings for real robots
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 07 Feb 2016 15:00:00 -0000

ros-kinetic-vs060-moveit-config (1.1.3-0xenial) xenial; urgency=high

  * add move_group/MoveGroupGetPlanningSceneService @ move_group.launch
  * remove demo_simulation_noenvironment: default launch is denso_vs060_moveit_demo_simulation.launch for dryrun, (i think...)
  * update rviz view (add loop, alpha for robot model)
  * use RRT Connect as default planner
  * update planner configs
  * fix for "Group 'manipulator_flange' is not a chain" error message
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 03 Feb 2016 15:00:00 -0000

ros-kinetic-vs060-moveit-config (1.1.2-0xenial) xenial; urgency=high

  * [moveit config] Remove redundant portion in a launch
  * Contributors: Isaac I.Y. Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 20 Dec 2015 15:00:00 -0000

ros-kinetic-vs060-moveit-config (1.1.1-0xenial) xenial; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 02 Nov 2015 15:00:00 -0000

ros-kinetic-vs060-moveit-config (1.1.0-0xenial) xenial; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 30 Oct 2015 15:00:00 -0000

ros-kinetic-vs060-moveit-config (1.0.0-0xenial) xenial; urgency=high

  * update to indigo

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 29 Oct 2015 15:00:00 -0000

ros-kinetic-vs060-moveit-config (0.2.9-0xenial) xenial; urgency=high

  * Add missing .setup_assistant file, without which moveit_setup_assistant can't open an existing moveit config pkg.
  * Check-off query start state from RViz conf.
  * Contributors: Isaac IY Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 06 Mar 2015 15:00:00 -0000

ros-kinetic-vs060-moveit-config (0.2.8-0xenial) xenial; urgency=high

  * Add xtion checkerboard demo launch file.
  * vs060_moveit_config/launch/moveit.rviz: add robot model to rviz
  * Corrected build_dependency (add robot_mechanism_controllers, robot_state_publisher)
  * Correct robot name (vs06 -> vs060)
  * Contributors: Isaac IY Saito, Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 29 Jul 2014 15:00:00 -0000

ros-kinetic-vs060-moveit-config (0.2.7-0xenial) xenial; urgency=high

  * Rename repository (Fix https://github.com/start-jsk/denso/issues/13, https://github.com/start-jsk/denso/issues/14)
  * Contributors: Isao Isaac Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 02 Jan 2014 15:00:00 -0000

ros-kinetic-vs060-moveit-config (0.2.6-0xenial) xenial; urgency=high

  * fix to https://github.com/start-jsk/denso/issues/15
  * Contributors: Isao Isaac Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2013 15:00:00 -0000

ros-kinetic-vs060-moveit-config (0.2.5-0xenial) xenial; urgency=high

  * add launch files to enable standalone demos.
  * Contributors: Isao Isaac Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 10 Dec 2013 15:00:00 -0000

ros-kinetic-vs060-moveit-config (0.2.4-0xenial) xenial; urgency=high

  * Add launch file that emulates demo environment at iREX without the need of pendant device.
  * Contributors: Isao Isaac Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 09 Dec 2013 15:00:00 -0000

ros-kinetic-vs060-moveit-config (0.2.3-0xenial) xenial; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 06 Dec 2013 15:00:00 -0000

ros-kinetic-vs060-moveit-config (0.2.2-0xenial) xenial; urgency=high

  * Improvement to .rviz files
  * Contributors: Isao Isaac Saito

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 05 Dec 2013 15:00:00 -0000

ros-kinetic-vs060-moveit-config (0.2.1-0xenial) xenial; urgency=high

  * Rename a file to start with lowercase to follow common naming custom
  * Contributors: Isao Isaac Saito



=== debian/control ===
Source: ros-kinetic-vs060-moveit-config
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-moveit-planners-ompl, ros-kinetic-moveit-ros-move-group, ros-kinetic-moveit-ros-visualization, ros-kinetic-moveit-simple-controller-manager, ros-kinetic-robot-state-publisher
Homepage: http://wiki.ros.org/vs060_moveit_config
Standards-Version: 3.9.2

Package: ros-kinetic-vs060-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-moveit-planners-ompl, ros-kinetic-moveit-ros-move-group, ros-kinetic-moveit-ros-visualization, ros-kinetic-moveit-simple-controller-manager, ros-kinetic-robot-state-publisher, ros-kinetic-vs060
Description: An automatically generated package with all the configuration and launch files for using the vs060A1_AV6_NNN_NNN with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-vs060-moveit-config//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
